# Security update for java-1_8_0-openj9

Announcement ID: SUSE-SU-2023:4612-1  
Rating: moderate  
References:

  * bsc#1216374
  * bsc#1216379
  * bsc#1217214

  
Cross-References:

  * CVE-2023-22067
  * CVE-2023-22081
  * CVE-2023-5676

  
CVSS scores:

  * CVE-2023-22067 ( SUSE ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
  * CVE-2023-22067 ( NVD ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
  * CVE-2023-22081 ( SUSE ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
  * CVE-2023-22081 ( NVD ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
  * CVE-2023-5676 ( SUSE ):  6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
  * CVE-2023-5676 ( NVD ):  5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

  
Affected Products:

  * openSUSE Leap 15.4
  * openSUSE Leap 15.5
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Micro 6.0
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Package Hub 15 15-SP5

  
  
An update that solves three vulnerabilities can now be installed.

## Description:

This update for java-1_8_0-openj9 fixes the following issues:

Update to OpenJDK 8u392 build 08 with OpenJ9 0.41.0 virtual machine

  * CVE-2023-22067: Fixed an IOR deserialization issue in CORBA (bsc#1216379).
  * CVE-2023-22081: Fixed a certificate path validation issue during client
    authentication (bsc#1216374).
  * CVE-2023-5676: Fixed receiving a signal before initialization may lead to an
    infinite loop or unexpected crash (bsc#1217214).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.4  
    zypper in -t patch openSUSE-SLE-15.4-2023-4612=1

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2023-4612=1

  * SUSE Package Hub 15 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4612=1

## Package List:

  * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64)
    * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1
  * openSUSE Leap 15.4 (noarch)
    * java-1_8_0-openj9-javadoc-1.8.0.392-150200.3.39.1
  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
    * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1
  * openSUSE Leap 15.5 (noarch)
    * java-1_8_0-openj9-javadoc-1.8.0.392-150200.3.39.1
  * SUSE Package Hub 15 15-SP5 (ppc64le s390x)
    * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1
    * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-22067.html
  * https://www.suse.com/security/cve/CVE-2023-22081.html
  * https://www.suse.com/security/cve/CVE-2023-5676.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1216374
  * https://bugzilla.suse.com/show_bug.cgi?id=1216379
  * https://bugzilla.suse.com/show_bug.cgi?id=1217214

SUSE: 2023:4612-1 moderate: java-1_8_0-openj9

November 29, 2023
* bsc#1216374 * bsc#1216379 * bsc#1217214 Cross-References:

Summary

## This update for java-1_8_0-openj9 fixes the following issues: Update to OpenJDK 8u392 build 08 with OpenJ9 0.41.0 virtual machine * CVE-2023-22067: Fixed an IOR deserialization issue in CORBA (bsc#1216379). * CVE-2023-22081: Fixed a certificate path validation issue during client authentication (bsc#1216374). * CVE-2023-5676: Fixed receiving a signal before initialization may lead to an infinite loop or unexpected crash (bsc#1217214). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.4 zypper in -t patch openSUSE-SLE-15.4-2023-4612=1 * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2023-4612=1 * SUSE Package Hub 15 15-SP5 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4612=1 ## Package List: * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64) * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1 * openSUSE Leap 15.4 (noarch) * java-1_8_0-openj9-javadoc-1.8.0.392-150200.3.39.1 * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64) * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1 * openSUSE Leap 15.5 (noarch) * java-1_8_0-openj9-javadoc-1.8.0.392-150200.3.39.1 * SUSE Package Hub 15 15-SP5 (ppc64le s390x) * java-1_8_0-openj9-src-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-devel-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-headless-debuginfo-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-accessibility-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-debugsource-1.8.0.392-150200.3.39.1 * java-1_8_0-openj9-demo-1.8.0.392-150200.3.39.1

References

* bsc#1216374

* bsc#1216379

* bsc#1217214

Cross-

* CVE-2023-22067

* CVE-2023-22081

* CVE-2023-5676

CVSS scores:

* CVE-2023-22067 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

* CVE-2023-22067 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

* CVE-2023-22081 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

* CVE-2023-22081 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

* CVE-2023-5676 ( SUSE ): 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

* CVE-2023-5676 ( NVD ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

* openSUSE Leap 15.4

* openSUSE Leap 15.5

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Micro 6.0

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Package Hub 15 15-SP5

An update that solves three vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-22067.html

* https://www.suse.com/security/cve/CVE-2023-22081.html

* https://www.suse.com/security/cve/CVE-2023-5676.html

* https://bugzilla.suse.com/show_bug.cgi?id=1216374

* https://bugzilla.suse.com/show_bug.cgi?id=1216379

* https://bugzilla.suse.com/show_bug.cgi?id=1217214

Severity
Announcement ID: SUSE-SU-2023:4612-1
Rating: moderate

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo